# Grafana exporter for ZTE 5G modems

## Getting started

One can just run the provided python script by `python3 zte_exporter.py --port <port> <router ip> --username <admin username> <admin password> --device <device type, ie. mc7010>`


A docker file is provided to compile this and example compose.yml to use in compose tools. To use with docker run, just create .env with the correct values. dockerhub vvkvvk/zte-exporter has the outdated version of this available and should not be used. A compose.yml file is provided as example.

## TR069 reset

Passing --reset True will try to clear out TR069 config and display current config.

## Running via systemd

Create a systemd unit file to `/etc/systemd/system/zte-exporter.service` with following

```
[Unit]
Description=ZTE exporter service

[Service]
Type=simple
ExecStart=/bin/python3 /opt/zte.py --port 8082 192.168.8.1 1234

[Install]
WantedBy=network-online.target
```

## Tested devices

Devices currently supported / tested are only MC889A and it should just work with passing IP and password, default username is admin.

## Thanks

Largely based on https://github.com/Kajkac/ZTE-MC-Home-assistant
